Bug 973261 - TypeError: Argument 1 does not allow None as a value [NEEDINFO]
TypeError: Argument 1 does not allow None as a value
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: mulhern
Fedora Extras Quality Assurance
abrt_hash:f4a5259c6174f04bef9f6059284...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 10:57 EDT by Juan Orti
Modified: 2013-12-02 11:44 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-02 11:44:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amulhern: needinfo? (nbeier)


Attachments (Terms of Use)
File: anaconda.log (110.76 KB, text/plain)
2013-06-11 10:58 EDT, Juan Orti
no flags Details
File: backtrace (554 bytes, text/plain)
2013-06-11 10:58 EDT, Juan Orti
no flags Details
File: environ (760 bytes, text/plain)
2013-06-11 10:58 EDT, Juan Orti
no flags Details
File: ifcfg.log (573 bytes, text/plain)
2013-06-11 10:58 EDT, Juan Orti
no flags Details
File: lsblk_output (3.38 KB, text/plain)
2013-06-11 10:58 EDT, Juan Orti
no flags Details
File: nmcli_dev_list (3.91 KB, text/plain)
2013-06-11 10:58 EDT, Juan Orti
no flags Details
File: packaging.log (323.95 KB, text/plain)
2013-06-11 10:58 EDT, Juan Orti
no flags Details
File: program.log (50.28 KB, text/plain)
2013-06-11 10:58 EDT, Juan Orti
no flags Details
File: storage.log (320.89 KB, text/plain)
2013-06-11 10:58 EDT, Juan Orti
no flags Details
File: syslog (113.96 KB, text/plain)
2013-06-11 10:58 EDT, Juan Orti
no flags Details
File: anaconda-tb (1.04 MB, application/octet-stream)
2013-06-11 10:59 EDT, Juan Orti
no flags Details

  None (edit)
Description Juan Orti 2013-06-11 10:57:59 EDT
Description of problem:
Trying to delete an existing partition
The following was filed automatically by anaconda:
anaconda 19.30-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/gi/types.py", line 113, in function
    return info.invoke(*args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 255, in _update_action_buttons
    self._shrinkButton.set_sensitive(device.resizable)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 398, in on_selection_changed
    self._update_action_buttons(self._diskStore[itr])
TypeError: Argument 1 does not allow None as a value

Version-Release number of selected component:
anaconda-19.30-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 398, in on_selection_changed
    self._update_action_buttons(self._diskStore[itr])
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 255, in _update_action_buttons
    self._shrinkButton.set_sensitive(device.resizable)
  File "/usr/lib64/python2.7/site-packages/gi/types.py", line 113, in function
    return info.invoke(*args, **kwargs)
TypeError: Argument 1 does not allow None as a value
Comment 1 Juan Orti 2013-06-11 10:58:04 EDT
Created attachment 759661 [details]
File: anaconda.log
Comment 2 Juan Orti 2013-06-11 10:58:09 EDT
Created attachment 759662 [details]
File: backtrace
Comment 3 Juan Orti 2013-06-11 10:58:13 EDT
Created attachment 759663 [details]
File: environ
Comment 4 Juan Orti 2013-06-11 10:58:17 EDT
Created attachment 759664 [details]
File: ifcfg.log
Comment 5 Juan Orti 2013-06-11 10:58:22 EDT
Created attachment 759666 [details]
File: lsblk_output
Comment 6 Juan Orti 2013-06-11 10:58:27 EDT
Created attachment 759667 [details]
File: nmcli_dev_list
Comment 7 Juan Orti 2013-06-11 10:58:33 EDT
Created attachment 759668 [details]
File: packaging.log
Comment 8 Juan Orti 2013-06-11 10:58:38 EDT
Created attachment 759669 [details]
File: program.log
Comment 9 Juan Orti 2013-06-11 10:58:46 EDT
Created attachment 759670 [details]
File: storage.log
Comment 10 Juan Orti 2013-06-11 10:58:51 EDT
Created attachment 759671 [details]
File: syslog
Comment 11 Juan Orti 2013-06-11 10:59:02 EDT
Created attachment 759673 [details]
File: anaconda-tb
Comment 12 Jakob 2013-06-27 08:45:48 EDT
Description of problem:
I clicked on "Install to Hard Disk", configured language and timezone.
The problems are starting at the where I configure the disc I want to install Fedora to.
The disc is a preformatet ssd with gpt partion table a Windows 7 installation, a small partition with bios_grub flag and a 100 GiB  ext4 partition for /.
I'm getting the error message "you have not created a bootloader stage1 target device"
If try to  delete the partitions with reclaime space, the installer freezes.

Version-Release number of selected component:
anaconda-19.30-1.fc19.x86_64

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-Desktop-x86_64-19-Be ro rd.live.image quiet rhgb
core_backtrace: 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
other involved packages: pygobject3-base-3.8.1-2.fc19.x86_64
packaging.log:  
product:        Fedora
release:        Fedora release 19 (Schrödinger’s Cat)
type:           anaconda
version:        19

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 398, in on_selection_changed
    self._update_action_buttons(self._diskStore[itr])
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 255, in _update_action_buttons
    self._shrinkButton.set_sensitive(device.resizable)
  File "/usr/lib64/python2.7/site-packages/gi/types.py", line 113, in function
    return info.invoke(*args, **kwargs)
TypeError: Argument 1 does not allow None as a value
Comment 13 Brian Lane 2013-06-27 20:30:06 EDT
Please retry this with RC3. 19.30-1 is pretty old at this point.
Comment 14 nbeier 2013-09-07 11:54:00 EDT
Selected custom disk partitioning, got the error aboout no stage1 target, clicked "Reclaim disk space" and selected a partition and pressed the delete button, right after that, Anaconda hung.

PC has BIOS (no EFI)
Disk has existing DOS partition table
Selected Partition scheme in Anaconda: Standard partitioning
Selected "Do not install boot loader"

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   BOOT_IMAGE=/boot/ubnkern root=live:UUID=81102c1b-b76f-4970-8ea8-2865e21262bc rootfstype=auto ro rd.live.image quiet rhgb rd.luks=0 rd.md=0 rd.dm=0
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.i686
other involved packages: pygobject3-base-3.8.2-2.fc19.i686
package:        anaconda-19.30.13-1.fc19.i686
packaging.log:  
product:        Fedora
reason:         TypeError: Argument 1 does not allow None as a value
release:        Fedora release 19 (Schrödinger’s Cat)
version:        19
Comment 15 mulhern 2013-10-08 10:39:39 EDT
Hi!

Could you give list of titles of screens as you go through them as well as selection made on each screen and also anaconda log from your failing run?

Thanks!
Comment 16 mulhern 2013-10-21 09:25:23 EDT
I had accidentally deleted need info.
Comment 17 mulhern 2013-12-02 11:44:31 EST
Can't get to the point where we can reproduce.

Note You need to log in before you can comment on or make changes to this bug.